/*
 * WebMonX 0.3.0
 *  http://sniperbeamer.de/webmonx/
 *
 * Copyright (C) 2006-2007 Felix 'SniperBeamer' Geyer
 *
 * This file is part of WebMonX.
 *
 * WebMonX is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * WebMonX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef WEBMONX_LINKLABEL_H
#define WEBMONX_LINKLABEL_H

#include "include.h"

#include <QLabel>
#include <QUrl>

class LinkLabel : public QLabel
{
  Q_OBJECT
  Q_PROPERTY(QUrl url READ url WRITE setUrl RESET resetUrl)
  
  public:
    explicit LinkLabel(CoreGUI* core, QWidget* parent = 0, Qt::WFlags f = 0);
    LinkLabel(CoreGUI* core, const QString& text, QWidget* parent = 0, Qt::WFlags f = 0);
    inline QUrl url() const { return pUrl; };
    inline void setUrl(const QUrl& url) { pUrl = url; };
    inline void resetUrl() { pUrl.clear(); };
  
  signals:
    void opened();
  
  public slots:
    void open();
  
  private:
    CoreGUI* c;
    QUrl pUrl;
    void init();
    void mouseReleaseEvent(QMouseEvent* event);
};

#endif // WEBMONX_LINKLABEL_H
